Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-3258

puppet apply + ENC + 3.7.x: does not read the .pp file

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: PUP 3.7.0
    • Fix Version/s: PUP 3.7.2
    • Component/s: None
    • Labels:
      None
    • Environment:

      Debian jessie/amd64

    • Template:
    • Story Points:
      1
    • Sprint:
      Platform 2014-10-15

      Description

      Running 'puppet apply' with an ENC and a .pp file on the command line (full example supplied): at 3.6.1, the 'notice's in the .pp file are executed; at 3.7.x, they are not. 'puppet agent' 3.7.x does the right thing (same as 3.6.1).

      See the README file in the attached .tar.gz (a complete example). I ran './vapply --noop' (it needed sudo in my case; maybe not for you).

      I have no idea on the possible cause; maybe I missed something.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              partain Will Partain
              QA Contact:
              Kurt Wall
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support